GET
curl --request GET \
--url https://api.app.fleetit.com/api/vehicle/{ID}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.fleetit.com/api/vehicle/{ID}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.fleetit.com/api/vehicle/{ID}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_fields": {},
"history": {
"date": "2024-01-29T15:00:06.997Z",
"username": "System"
},
"id": 123,
"lessee_renter": null,
"plate_number": "ABC1234",
"plate_state": "NY",
"status": "REMOVED",
"tracking_code": "Test",
"vehicle_make": "Ford",
"vehicle_model": "F150",
"year": "2024"
}This response has no body data.Vehicle
Get
Retrieve a single vehicle from the system.
GET
/
api
/
vehicle
/
{ID}
/
GET
Deprecated — will be removed soon. Use the v2 equivalent.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
""
Response
GET
Show child attributes
Show child attributes
Example:
123
Example:
"ABC1234"
Example:
"NY"
Example:
"REMOVED"
Example:
"Test"
Example:
"Ford"
Example:
"F150"
Example:
"2024"
Was this page helpful?
⌘I

